--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches <tt>Object</tt> equalling <tt>value</tt>.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:method_1).with(equals(2))\n  object.method_1(2)\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(equals(2))\n  object.method_1(3)\n  # error raised, because method_1 was not called with Object equalling 3\n"
full_name: Mocha::ParameterMatchers#equals
is_singleton: false
name: equals
params: " equals(value) -> parameter_matcher\n"
visibility: public
